onEvent("recipes", event => {
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.2,
      mesh: "diamond"
    }],
    input: Ingredient.of("minecraft:gravel").toJson(),
    result: Item.of("mysticalagriculture:prosperity_shard").toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.06,
      mesh: "iron"
    }],
    input: Ingredient.of('minecraft:soul_sand').toJson(),
    result: Item.of('mysticalagriculture:soulium_dust').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.1,
      mesh: "iron"
    }],
    input: Ingredient.of("minecraft:sand").toJson(),
    result: Item.of('astralsorcery:aquamarine').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.05,
      mesh: "iron"
    }],
    input: Ingredient.of('exnihilosequentia:dust').toJson(),
    result: Item.of('powah:uraninite_raw_poor').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.05,
      mesh: "diamond"
    }],
    input: Ingredient.of('exnihilosequentia:dust').toJson(),
    result: Item.of('powah:uraninite_raw').toResultJson(),
    waterlogged: null
  })

  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.08,
      mesh: "flint"
    }],
    input: Ingredient.of('minecraft:dirt').toJson(),
    result: Item.of('integrateddynamics:menril_sapling').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.1,
      mesh: "diamond"
    }],
    input: Ingredient.of('exnihilosequentia:crushed_end_stone').toJson(),
    result: Item.of('minecraft:chorus_flower').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.01,
      mesh: "netherite"
    }],
    input: Ingredient.of('exnihilosequentia:crushed_end_stone').toJson(),
    result: Item.of('draconicevolution:draconium_dust').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.01,
      mesh: "netherite"
    }],
    input: Ingredient.of('exnihilosequentia:dust').toJson(),
    result: Item.of('draconicevolution:draconium_dust').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.01,
      mesh: "netherite"
    }],
    input: Ingredient.of('exnihilosequentia:crushed_netherrack').toJson(),
    result: Item.of('draconicevolution:draconium_dust').toResultJson(),
    waterlogged: null
  })
  
  event.custom({
    type: "exnihilosequentia:sieve",
    rolls: [{
      chance: 0.15,
      mesh: "flint"
    }],
    input: Ingredient.of('minecraft:sand').toJson(),
    result: Item.of('mysticalagriculture:inferium_essence').toResultJson(),
    waterlogged: null
  })

  event.custom({"type": "exnihilosequentia:heat","block": 'draconicevolution:awakened_draconium_block',"amount": 120})
  event.custom({"type": "exnihilosequentia:heat","block": 'mekanism:superheating_element',"amount": 50})
  event.custom({"type": "exnihilosequentia:heat","block": 'botania:manasteel_block',"amount": 60})
  event.custom({"type": "exnihilosequentia:heat","block": 'botania:elementium_block',"amount": 80})
  event.custom({"type": "exnihilosequentia:heat","block": 'thermal:enderium_block',"amount": 90})

  event.custom({
    "type": "exnihilosequentia:crook",
    "results": [
      {
        "chance": 0.4,
        "item": "minecraft:oak_sapling",
        "count": 1
      },
      {
        "chance": 0.4,
        "item": 'minecraft:spruce_sapling',
        "count": 1
      },
      {
        "chance": 0.4,
        "item": 'minecraft:birch_sapling',
        "count": 1
      },
      {
        "chance": 0.4,
        "item": 'minecraft:jungle_sapling',
        "count": 1
      },
      {
        "chance": 0.4,
        "item": 'minecraft:acacia_sapling',
        "count": 1
      },
      {
        "chance": 0.4,
        "item": 'minecraft:dark_oak_sapling',
        "count": 1
      },
    ],
    "input": {
      "item": "minecraft:dirt"
    }
  })

  event.shaped('minecraft:dirt', [
    'PPP',
    'P P',
    'PPP'
  ], { P: 'exnihilosequentia:pebble_stone'})
})